Bug 1299227 - Swift Ringbuilder errors when using IPv6 address
Swift Ringbuilder errors when using IPv6 address
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
urgent Severity high
: ga
: 8.0 (Liberty)
Assigned To: Marios Andreou
Mike Abrams
: Triaged
Depends On: 1296701
  Show dependency treegraph
Reported: 2016-01-17 10:50 EST by Mike Burns
Modified: 2016-04-26 10:55 EDT (History)
13 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.11-1.el7ost
Doc Type: Bug Fix
Doc Text:
Prior to this update, the swift_device and swift_proxy_memcache URIs used for the swift ringbuilder and the swift proxy memcache server respectively were not properly formatted for IPv6 addresses, lacking the expected '[]' delimiting the IPv6 address. As a consequence, when deploying with IPv6 enabled for the overcloud, the deploy failed with "Error: Parameter name failed on Ring_object_device ...". Now, when IPv6 is enabled, the IP addresses used as part of the swift_device and swift_proxy_memcache URIs are correctly delimited with '[]'. As a result, deploying with IPv6 no longer fails on incorrect formatting for swift_device or swift_proxy_memcache.
Story Points: ---
Clone Of: 1296701
Last Closed: 2016-04-07 17:46:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1534135 None None None 2016-01-17 10:50 EST
OpenStack gerrit 267523 None None None 2016-01-17 10:50 EST

  None (edit)
Comment 6 errata-xmlrpc 2016-04-07 17:46:07 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.